/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/BCOPTION.CPP   1.2.1.5   17 Apr 1997 15:41:44   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/BCOPTION.CPP  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:44   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:15:44   ZJRD
** No change.
** 
**    Rev 1.2.1.3   10 Apr 1997 15:27:34   ZJRD
** 2.09F
** 
**    Rev 1.2.1.1   03 Apr 1997 15:09:24   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:14:24   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:25:42   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:44:32   ZJRD
** Initial revision.
** 
**    Rev 1.4.1.0.1.2   09 Dec 1996 10:15:16   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.4.1.0.1.0   11 Nov 1996 12:58:32   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.4.1.4   09 Sep 1996 13:16:00   ZJRD
** No change.
** 
**    Rev 1.4.1.3   05 Sep 1996 11:27:32   ZJRD
** No change.
** 
**    Rev 1.4.1.2   02 Sep 1996 09:54:38   ZJRD
** No change.
** 
**    Rev 1.4.1.1   28 Aug 1996 15:48:50   ZJRD
** EasyPack/SLD Version 1.9b
** 
**    Rev 1.4.1.0   12 Aug 1996 10:53:12   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.1   29 May 1996 09:36:32   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// bc.cpp
//
// Michael Long
//                                                                           
// 5/16/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "bc.h"
#include "bcoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BCOption dialog


BCOption::BCOption(BCTool * pTool)
    : CPropertyPage(BCOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;          
    
    LoadData();

    //{{AFX_DATA_INIT(BCOption)

	//}}AFX_DATA_INIT
}

void BCOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BCOption)
    DDX_CBIndex(pDX, IDD_BCOPT_MODEL, m_nMemoryModel);
    DDX_CBIndex(pDX, IDD_BCOPT_OPT, m_nOptimize);
    DDX_Text(pDX, IDD_BCOPT_EDIT, m_strMore);
    DDX_Check(pDX, IDD_BCOPT_CHECK2, m_fStrInVariable);
    DDX_Check(pDX, IDD_BCOPT_CHECK3, m_fSChar);
    DDX_Check(pDX, IDD_BCOPT_CHECK1, m_fNoWarn);
    DDX_Text(pDX, IDC_BCOPT_PATH_EDIT, m_strPath);
	DDX_Text(pDX, IDC_BCOPT_PATH_EDITINC, m_incPath);
	//}}AFX_DATA_MAP
}

void BCOption::SaveData(void)
{                                  
//  UpdateData(TRUE);
    m_strPath.TrimLeft();
    m_strPath.TrimRight();
    m_strMore.TrimLeft();
    m_strMore.TrimRight();
    m_incPath.TrimLeft();
    m_incPath.TrimRight();

    m_pTool->m_nMemoryModel = m_nMemoryModel;
    m_pTool->m_nOptimize    = m_nOptimize;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_fStrInVariable = m_fStrInVariable;
    m_pTool->m_fSChar       = m_fSChar;
    m_pTool->m_fNoWarn      = m_fNoWarn; 
    m_pTool->m_strPath      = m_strPath; 
      m_pTool->m_incPath      = m_incPath;
}

void BCOption::LoadData(void)
{
    m_nMemoryModel = m_pTool->m_nMemoryModel;
    m_nOptimize    = m_pTool->m_nOptimize;
    m_strMore      = m_pTool->m_strMore;
    m_fStrInVariable    = m_pTool->m_fStrInVariable;
    m_fSChar       = m_pTool->m_fSChar;
    m_fNoWarn      = m_pTool->m_fNoWarn;
    m_strPath      = m_pTool->m_strPath;  
     m_incPath      = m_pTool->m_incPath;
}

BEGIN_MESSAGE_MAP(BCOption, CPropertyPage)
    //{{AFX_MSG_MAP(BCOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// BCOption message handlers
